Page MenuHomeFreeBSD

Allow revolver(5) to set RES_USEVC
ClosedPublic

Authored by bz on Aug 6 2018, 4:13 PM.

Details

Summary

Allow the use of TCP instead of UDP for queries by setting options use-vc in resolv.conf which sets RES_USEVC.

Test Plan

Not even compile tested.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bz created this revision.Aug 6 2018, 4:13 PM
ume added a comment.Aug 14 2018, 5:36 PM

Since p_option() in res_debug.c returns "usevc" for RES_USEVC,
I think it is better to use "usevc" instead of "use-vc".
Other than that, it seems good to me.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 16 2018, 1:18 PM
This revision was automatically updated to reflect the committed changes.